public class MultipleThread extends Thread {
    public MultipleThread(String name) {
	super(name);
    }

    public void run() {
	for (int i = 0; i < 10; i++) {
	    System.out.println(i + " " + getName());
 	    try {
 		sleep((int)(Math.random()*1000));
 	    } catch (InterruptedException e)  {
 		System.out.println("Interrupted, but not done yet");
 	    }
	}
	System.out.println("DONE! " + getName());
    }

    public static void main (String args[]) {
	MultipleThread t1 = new MultipleThread("Um");
	MultipleThread t2 = new MultipleThread("Dois");
	MultipleThread t3 = new MultipleThread("Tres");

	t1.setPriority(Thread.NORM_PRIORITY); 
	t2.setPriority(Thread.NORM_PRIORITY+1); 
	t3.setPriority(Thread.NORM_PRIORITY+2); 

	t1.start();
	t2.start();
	t3.start();
    }
} 
